> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# webflow-sites

> Webflow Sites - site management, publishing, domains, redirects, and webhooks

**Server path:** `/webflow-sites` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                | Description                 |
| ----------------------------------------------------------------------------------- | --------------------------- |
| [`webflow_sites_authorized_by`](#webflow_sites_authorized_by)                       | Get Authorization User Info |
| [`webflow_sites_create_redirect`](#webflow_sites_create_redirect)                   | Create a 301 redirect       |
| [`webflow_sites_create_site`](#webflow_sites_create_site)                           | Create Site                 |
| [`webflow_sites_create_webhook`](#webflow_sites_create_webhook)                     | Create Webhook              |
| [`webflow_sites_delete_google_tag`](#webflow_sites_delete_google_tag)               | Delete Google Tag           |
| [`webflow_sites_delete_google_tags`](#webflow_sites_delete_google_tags)             | Delete Google Tags          |
| [`webflow_sites_delete_redirects`](#webflow_sites_delete_redirects)                 | Delete 301 redirects        |
| [`webflow_sites_delete_robots_txt`](#webflow_sites_delete_robots_txt)               | Delete robots.txt           |
| [`webflow_sites_delete_site`](#webflow_sites_delete_site)                           | Delete Site                 |
| [`webflow_sites_delete_well_known`](#webflow_sites_delete_well_known)               | Delete a well-known file    |
| [`webflow_sites_get_comment_thread`](#webflow_sites_get_comment_thread)             | Get Comment Thread          |
| [`webflow_sites_get_custom_domains`](#webflow_sites_get_custom_domains)             | Get Custom Domains          |
| [`webflow_sites_get_redirects`](#webflow_sites_get_redirects)                       | Get 301 redirects           |
| [`webflow_sites_get_robots_txt`](#webflow_sites_get_robots_txt)                     | Get robots.txt              |
| [`webflow_sites_get_site`](#webflow_sites_get_site)                                 | Get Site                    |
| [`webflow_sites_get_site_activity_logs`](#webflow_sites_get_site_activity_logs)     | Get Site Activity Logs      |
| [`webflow_sites_get_site_plan`](#webflow_sites_get_site_plan)                       | Get Site Plan               |
| [`webflow_sites_get_webhook`](#webflow_sites_get_webhook)                           | Get Webhook                 |
| [`webflow_sites_get_workspace_audit_logs`](#webflow_sites_get_workspace_audit_logs) | Get Workspace Audit Logs    |
| [`webflow_sites_introspect`](#webflow_sites_introspect)                             | Get Authorization Info      |
| [`webflow_sites_list_comment_replies`](#webflow_sites_list_comment_replies)         | List Comment Replies        |
| [`webflow_sites_list_comment_threads`](#webflow_sites_list_comment_threads)         | List Comment Threads        |
| [`webflow_sites_list_google_tags`](#webflow_sites_list_google_tags)                 | List Google Tags            |
| [`webflow_sites_list_sites`](#webflow_sites_list_sites)                             | List Sites                  |
| [`webflow_sites_list_webhooks`](#webflow_sites_list_webhooks)                       | List Webhooks               |
| [`webflow_sites_remove_webhook`](#webflow_sites_remove_webhook)                     | Remove Webhook              |
| [`webflow_sites_replace_robots_txt`](#webflow_sites_replace_robots_txt)             | Replace robots.txt          |
| [`webflow_sites_set_well_known`](#webflow_sites_set_well_known)                     | Set a well-known file       |
| [`webflow_sites_site_publish`](#webflow_sites_site_publish)                         | Publish Site                |
| [`webflow_sites_update_redirect`](#webflow_sites_update_redirect)                   | Update 301 redirect         |
| [`webflow_sites_update_robots_txt`](#webflow_sites_update_robots_txt)               | Update robots.txt           |
| [`webflow_sites_update_site`](#webflow_sites_update_site)                           | Update Site                 |
| [`webflow_sites_upsert_google_tags`](#webflow_sites_upsert_google_tags)             | Update Google Tag           |

***

## webflow\_sites\_authorized\_by

Get Authorization User Info

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_create\_redirect

Create a 301 redirect

**Parameters:**

| Parameter | Type   | Required | Default | Description                                                      |
| --------- | ------ | -------- | ------- | ---------------------------------------------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site                                     |
| `fromUrl` | string | Yes      | —       | The source URL path that will be redirected.                     |
| `id`      | string | No       | —       | The ID of the specific redirect rule                             |
| `toUrl`   | string | Yes      | —       | The target URL path where the user or client will be redirected. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "fromUrl": {
        "type": "string",
        "description": "The source URL path that will be redirected."
      },
      "id": {
        "type": "string",
        "description": "The ID of the specific redirect rule"
      },
      "toUrl": {
        "type": "string",
        "description": "The target URL path where the user or client will be redirected."
      }
    },
    "required": [
      "PCID",
      "site_id",
      "fromUrl",
      "toUrl"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_create\_site

Create Site

**Parameters:**

| Parameter      | Type   | Required | Default | Description                       |
| -------------- | ------ | -------- | ------- | --------------------------------- |
| `workspace_id` | string | Yes      | —       | Unique identifier for a Workspace |
| `body`         | object | No       | —       | Request body                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "workspace_id": {
        "type": "string",
        "description": "Unique identifier for a Workspace"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "workspace_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_create\_webhook

Create Webhook

**Parameters:**

| Parameter | Type   | Required | Default | Description                     |
| --------- | ------ | -------- | ------- | ------------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site    |
| `body`    | object | Yes      | —       | The Webhook registration object |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "body": {
        "description": "The Webhook registration object"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "body"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_delete\_google\_tag

Delete Google Tag

**Parameters:**

| Parameter | Type   | Required | Default | Description                           |
| --------- | ------ | -------- | ------- | ------------------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site          |
| `tag_id`  | string | Yes      | —       | The Google Tag ID (e.g. G-XXXXXXXXXX) |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "tag_id": {
        "type": "string",
        "description": "The Google Tag ID (e.g. G-XXXXXXXXXX)"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "tag_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_delete\_google\_tags

Delete Google Tags

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_delete\_redirects

Delete 301 redirects

**Parameters:**

| Parameter     | Type   | Required | Default | Description                     |
| ------------- | ------ | -------- | ------- | ------------------------------- |
| `site_id`     | string | Yes      | —       | Unique identifier for a Site    |
| `redirect_id` | string | Yes      | —       | Unique identifier site redirect |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "redirect_id": {
        "type": "string",
        "description": "Unique identifier site redirect"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "redirect_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_delete\_robots\_txt

Delete robots.txt

**Parameters:**

| Parameter | Type      | Required | Default | Description                    |
| --------- | --------- | -------- | ------- | ------------------------------ |
| `site_id` | string    | Yes      | —       | Unique identifier for a Site   |
| `rules`   | object\[] | No       | —       | List of rules for user agents. |
| `sitemap` | string    | No       | —       | URL to the sitemap.            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "rules": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "userAgent": {
              "type": "string",
              "description": "The user agent the rules apply to."
            },
            "allows": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "List of paths allowed for this user agent."
            },
            "disallows": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "List of paths disallowed for this user agent."
            }
          },
          "required": [
            "userAgent"
          ]
        },
        "description": "List of rules for user agents."
      },
      "sitemap": {
        "type": "string",
        "description": "URL to the sitemap."
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_delete\_site

Delete Site

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_delete\_well\_known

Delete a well-known file

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |
| `body`    | object | No       | —       | Request body                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_get\_comment\_thread

Get Comment Thread

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                                                  |
| ------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------- |
| `site_id`           | string  | Yes      | —       | Unique identifier for a Site                                                 |
| `comment_thread_id` | string  | Yes      | —       | Unique identifier for a Comment Thread                                       |
| `localeId`          | string  | No       | —       | Unique identifier for a specific Locale.  Learn more about localization.     |
| `offset`            | integer | No       | —       | Offset used for pagination if the results have more than limit records       |
| `limit`             | integer | No       | —       | Maximum number of records to be returned (max limit: 100)                    |
| `sortBy`            | string  | No       | —       | Sort results by the provided value. Only allowed when sortOrder is provided. |
| `sortOrder`         | string  | No       | —       | Sorts the results by asc or desc                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "comment_thread_id": {
        "type": "string",
        "description": "Unique identifier for a Comment Thread"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      },
      "sortBy": {
        "type": "string",
        "description": "Sort results by the provided value. Only allowed when sortOrder is provided.",
        "enum": [
          "createdOn",
          "lastUpdated"
        ]
      },
      "sortOrder": {
        "type": "string",
        "description": "Sorts the results by asc or desc",
        "enum": [
          "asc",
          "desc"
        ]
      }
    },
    "required": [
      "PCID",
      "site_id",
      "comment_thread_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_get\_custom\_domains

Get Custom Domains

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_get\_redirects

Get 301 redirects

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_get\_robots\_txt

Get robots.txt

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_get\_site

Get Site

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_get\_site\_activity\_logs

Get Site Activity Logs

**Parameters:**

| Parameter | Type    | Required | Default | Description                                                            |
| --------- | ------- | -------- | ------- | ---------------------------------------------------------------------- |
| `site_id` | string  | Yes      | —       | Unique identifier for a Site                                           |
| `limit`   | integer | No       | —       | Maximum number of records to be returned (max limit: 100)              |
| `offset`  | integer | No       | —       | Offset used for pagination if the results have more than limit records |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_get\_site\_plan

Get Site Plan

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_get\_webhook

Get Webhook

**Parameters:**

| Parameter    | Type   | Required | Default | Description                     |
| ------------ | ------ | -------- | ------- | ------------------------------- |
| `webhook_id` | string | Yes      | —       | Unique identifier for a Webhook |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "webhook_id": {
        "type": "string",
        "description": "Unique identifier for a Webhook"
      }
    },
    "required": [
      "PCID",
      "webhook_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_get\_workspace\_audit\_logs

Get Workspace Audit Logs

**Parameters:**

| Parameter              | Type    | Required | Default | Description                                                            |
| ---------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------- |
| `workspace_id_or_slug` | string  | Yes      | —       | Unique identifier or slug for a Workspace                              |
| `limit`                | integer | No       | —       | Maximum number of records to be returned (max limit: 100)              |
| `offset`               | integer | No       | —       | Offset used for pagination if the results have more than limit records |
| `sortOrder`            | string  | No       | —       | Sorts the results by asc or desc                                       |
| `eventType`            | string  | No       | —       | The event type to filter by                                            |
| `from`                 | string  | No       | —       | The start date to filter by                                            |
| `to`                   | string  | No       | —       | The end date to filter by                                              |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "workspace_id_or_slug": {
        "type": "string",
        "description": "Unique identifier or slug for a Workspace"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      },
      "sortOrder": {
        "type": "string",
        "description": "Sorts the results by asc or desc",
        "enum": [
          "asc",
          "desc"
        ]
      },
      "eventType": {
        "type": "string",
        "description": "The event type to filter by",
        "enum": [
          "user_access",
          "custom_role",
          "workspace_membership",
          "site_membership",
          "workspace_invitation",
          "workspace_setting"
        ]
      },
      "from": {
        "type": "string",
        "description": "The start date to filter by"
      },
      "to": {
        "type": "string",
        "description": "The end date to filter by"
      }
    },
    "required": [
      "PCID",
      "workspace_id_or_slug"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_introspect

Get Authorization Info

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_list\_comment\_replies

List Comment Replies

**Parameters:**

| Parameter           | Type    | Required | Default | Description                                                                  |
| ------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------- |
| `site_id`           | string  | Yes      | —       | Unique identifier for a Site                                                 |
| `comment_thread_id` | string  | Yes      | —       | Unique identifier for a Comment Thread                                       |
| `localeId`          | string  | No       | —       | Unique identifier for a specific Locale.  Learn more about localization.     |
| `offset`            | integer | No       | —       | Offset used for pagination if the results have more than limit records       |
| `limit`             | integer | No       | —       | Maximum number of records to be returned (max limit: 100)                    |
| `sortBy`            | string  | No       | —       | Sort results by the provided value. Only allowed when sortOrder is provided. |
| `sortOrder`         | string  | No       | —       | Sorts the results by asc or desc                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "comment_thread_id": {
        "type": "string",
        "description": "Unique identifier for a Comment Thread"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      },
      "sortBy": {
        "type": "string",
        "description": "Sort results by the provided value. Only allowed when sortOrder is provided.",
        "enum": [
          "createdOn",
          "lastUpdated"
        ]
      },
      "sortOrder": {
        "type": "string",
        "description": "Sorts the results by asc or desc",
        "enum": [
          "asc",
          "desc"
        ]
      }
    },
    "required": [
      "PCID",
      "site_id",
      "comment_thread_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_list\_comment\_threads

List Comment Threads

**Parameters:**

| Parameter   | Type    | Required | Default | Description                                                                  |
| ----------- | ------- | -------- | ------- | ---------------------------------------------------------------------------- |
| `site_id`   | string  | Yes      | —       | Unique identifier for a Site                                                 |
| `localeId`  | string  | No       | —       | Unique identifier for a specific Locale.  Learn more about localization.     |
| `offset`    | integer | No       | —       | Offset used for pagination if the results have more than limit records       |
| `limit`     | integer | No       | —       | Maximum number of records to be returned (max limit: 100)                    |
| `sortBy`    | string  | No       | —       | Sort results by the provided value. Only allowed when sortOrder is provided. |
| `sortOrder` | string  | No       | —       | Sorts the results by asc or desc                                             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "localeId": {
        "type": "string",
        "description": "Unique identifier for a specific Locale.  [Learn more about localization.](/data/v2.0.0/docs/working-with-localization)"
      },
      "offset": {
        "type": "integer",
        "description": "Offset used for pagination if the results have more than limit records"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of records to be returned (max limit: 100)"
      },
      "sortBy": {
        "type": "string",
        "description": "Sort results by the provided value. Only allowed when sortOrder is provided.",
        "enum": [
          "createdOn",
          "lastUpdated"
        ]
      },
      "sortOrder": {
        "type": "string",
        "description": "Sorts the results by asc or desc",
        "enum": [
          "asc",
          "desc"
        ]
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_list\_google\_tags

List Google Tags

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_list\_sites

List Sites

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_list\_webhooks

List Webhooks

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_remove\_webhook

Remove Webhook

**Parameters:**

| Parameter    | Type   | Required | Default | Description                     |
| ------------ | ------ | -------- | ------- | ------------------------------- |
| `webhook_id` | string | Yes      | —       | Unique identifier for a Webhook |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "webhook_id": {
        "type": "string",
        "description": "Unique identifier for a Webhook"
      }
    },
    "required": [
      "PCID",
      "webhook_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_replace\_robots\_txt

Replace robots.txt

**Parameters:**

| Parameter | Type      | Required | Default | Description                    |
| --------- | --------- | -------- | ------- | ------------------------------ |
| `site_id` | string    | Yes      | —       | Unique identifier for a Site   |
| `rules`   | object\[] | No       | —       | List of rules for user agents. |
| `sitemap` | string    | No       | —       | URL to the sitemap.            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "rules": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "userAgent": {
              "type": "string",
              "description": "The user agent the rules apply to."
            },
            "allows": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "List of paths allowed for this user agent."
            },
            "disallows": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "List of paths disallowed for this user agent."
            }
          },
          "required": [
            "userAgent"
          ]
        },
        "description": "List of rules for user agents."
      },
      "sitemap": {
        "type": "string",
        "description": "URL to the sitemap."
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_set\_well\_known

Set a well-known file

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                                |
| ------------- | ------ | -------- | ------- | ---------------------------------------------------------- |
| `site_id`     | string | Yes      | —       | Unique identifier for a Site                               |
| `contentType` | string | No       | —       | The content type of the file. Defaults to application/json |
| `fileData`    | string | Yes      | —       | The contents of the file                                   |
| `fileName`    | string | Yes      | —       | The name of the file                                       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "contentType": {
        "type": "string",
        "description": "The content type of the file. Defaults to application/json",
        "enum": [
          "application/json",
          "text/plain"
        ]
      },
      "fileData": {
        "type": "string",
        "description": "The contents of the file"
      },
      "fileName": {
        "type": "string",
        "description": "The name of the file"
      }
    },
    "required": [
      "PCID",
      "site_id",
      "fileData",
      "fileName"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_site\_publish

Publish Site

**Parameters:**

| Parameter                   | Type      | Required | Default | Description                                                   |
| --------------------------- | --------- | -------- | ------- | ------------------------------------------------------------- |
| `site_id`                   | string    | Yes      | —       | Unique identifier for a Site                                  |
| `customDomains`             | string\[] | No       | —       | Array of Custom Domain IDs to publish                         |
| `pageId`                    | string    | No       | —       | The ID of the page to publish                                 |
| `publishToWebflowSubdomain` | boolean   | No       | —       | Choice of whether to publish to the default Webflow Subdomain |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "customDomains": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Array of Custom Domain IDs to publish"
      },
      "pageId": {
        "type": "string",
        "description": "The ID of the page to publish"
      },
      "publishToWebflowSubdomain": {
        "type": "boolean",
        "description": "Choice of whether to publish to the default Webflow Subdomain"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_update\_redirect

Update 301 redirect

**Parameters:**

| Parameter     | Type   | Required | Default | Description                                                      |
| ------------- | ------ | -------- | ------- | ---------------------------------------------------------------- |
| `site_id`     | string | Yes      | —       | Unique identifier for a Site                                     |
| `redirect_id` | string | Yes      | —       | Unique identifier site redirect                                  |
| `fromUrl`     | string | No       | —       | The source URL path that will be redirected.                     |
| `id`          | string | No       | —       | The ID of the specific redirect rule                             |
| `toUrl`       | string | No       | —       | The target URL path where the user or client will be redirected. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "redirect_id": {
        "type": "string",
        "description": "Unique identifier site redirect"
      },
      "fromUrl": {
        "type": "string",
        "description": "The source URL path that will be redirected."
      },
      "id": {
        "type": "string",
        "description": "The ID of the specific redirect rule"
      },
      "toUrl": {
        "type": "string",
        "description": "The target URL path where the user or client will be redirected."
      }
    },
    "required": [
      "PCID",
      "site_id",
      "redirect_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_update\_robots\_txt

Update robots.txt

**Parameters:**

| Parameter | Type      | Required | Default | Description                    |
| --------- | --------- | -------- | ------- | ------------------------------ |
| `site_id` | string    | Yes      | —       | Unique identifier for a Site   |
| `rules`   | object\[] | No       | —       | List of rules for user agents. |
| `sitemap` | string    | No       | —       | URL to the sitemap.            |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "rules": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "userAgent": {
              "type": "string",
              "description": "The user agent the rules apply to."
            },
            "allows": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "List of paths allowed for this user agent."
            },
            "disallows": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "List of paths disallowed for this user agent."
            }
          },
          "required": [
            "userAgent"
          ]
        },
        "description": "List of rules for user agents."
      },
      "sitemap": {
        "type": "string",
        "description": "URL to the sitemap."
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_update\_site

Update Site

**Parameters:**

| Parameter | Type   | Required | Default | Description                  |
| --------- | ------ | -------- | ------- | ---------------------------- |
| `site_id` | string | Yes      | —       | Unique identifier for a Site |
| `body`    | object | No       | —       | Request body                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "body": {
        "description": "Request body"
      }
    },
    "required": [
      "PCID",
      "site_id"
    ]
  }
  ```
</Expandable>

***

## webflow\_sites\_upsert\_google\_tags

Update Google Tag

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                 |
| -------------- | --------- | -------- | ------- | ----------------------------------------------------------- |
| `site_id`      | string    | Yes      | —       | Unique identifier for a Site                                |
| `googleTagIds` | object\[] | Yes      | —       | List of Google Tags configured for a site, sorted by order. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "site_id": {
        "type": "string",
        "description": "Unique identifier for a Site"
      },
      "googleTagIds": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "order": {
              "type": "integer",
              "description": "Display order of the tag. Optional on input; always present on output. Auto-assigned for new tags and renormalized after deletion."
            },
            "displayName": {
              "type": "string",
              "description": "A human-readable label for the tag."
            },
            "tagId": {
              "type": "string",
              "description": "The Google Tag ID. Accepts G-, GT-, AW-, and DC- prefixes. Rejects UA- prefixes."
            }
          },
          "required": [
            "tagId",
            "displayName"
          ]
        },
        "description": "List of Google Tags configured for a site, sorted by order."
      }
    },
    "required": [
      "PCID",
      "site_id",
      "googleTagIds"
    ]
  }
  ```
</Expandable>
